import { createParser } from 'css-selector-parser';
import { findClassNamesInSelector } from './findClassNamesInSelector.js';
const parseSelector = createParser();
export const extractClassNamesFromRule = (rule) => {
    try {
        const parsed = parseSelector(rule.selector);
        if (Array.isArray(parsed)) {
            return parsed.flatMap(findClassNamesInSelector);
        }
        return findClassNamesInSelector(parsed);
    }
    catch {
        return [];
    }
};
